IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
232.0.0.0- Broadcast address
233.255.255.255- First usable
232.0.0.1- Last usable
233.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8000000· Integer3892314112to3925868543 - Reverse DNS zones
232.in-addr.arpa233.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000.00000000.00000000.00000000 | 232.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 11101000.00000000.00000000.00000000 | 232.0.0.0 |
| Broadcast | 11101001.11111111.11111111.11111111 | 233.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
232.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.0.0.0/15 | 232.0.0.1 to 232.1.255.254 | 232.1.255.255 | 131,070 |
| 2 | 232.2.0.0/15 | 232.2.0.1 to 232.3.255.254 | 232.3.255.255 | 131,070 |
| 3 | 232.4.0.0/15 | 232.4.0.1 to 232.5.255.254 | 232.5.255.255 | 131,070 |
| 4 | 232.6.0.0/15 | 232.6.0.1 to 232.7.255.254 | 232.7.255.255 | 131,070 |
| 5 | 232.8.0.0/15 | 232.8.0.1 to 232.9.255.254 | 232.9.255.255 | 131,070 |
| 6 | 232.10.0.0/15 | 232.10.0.1 to 232.11.255.254 | 232.11.255.255 | 131,070 |
| 7 | 232.12.0.0/15 | 232.12.0.1 to 232.13.255.254 | 232.13.255.255 | 131,070 |
| 8 | 232.14.0.0/15 | 232.14.0.1 to 232.15.255.254 | 232.15.255.255 | 131,070 |
| 9 | 232.16.0.0/15 | 232.16.0.1 to 232.17.255.254 | 232.17.255.255 | 131,070 |
| 10 | 232.18.0.0/15 | 232.18.0.1 to 232.19.255.254 | 232.19.255.255 | 131,070 |
| 11 | 232.20.0.0/15 | 232.20.0.1 to 232.21.255.254 | 232.21.255.255 | 131,070 |
| 12 | 232.22.0.0/15 | 232.22.0.1 to 232.23.255.254 | 232.23.255.255 | 131,070 |
| 13 | 232.24.0.0/15 | 232.24.0.1 to 232.25.255.254 | 232.25.255.255 | 131,070 |
| 14 | 232.26.0.0/15 | 232.26.0.1 to 232.27.255.254 | 232.27.255.255 | 131,070 |
| 15 | 232.28.0.0/15 | 232.28.0.1 to 232.29.255.254 | 232.29.255.255 | 131,070 |
| 16 | 232.30.0.0/15 | 232.30.0.1 to 232.31.255.254 | 232.31.255.255 | 131,070 |
| 17 | 232.32.0.0/15 | 232.32.0.1 to 232.33.255.254 | 232.33.255.255 | 131,070 |
| 18 | 232.34.0.0/15 | 232.34.0.1 to 232.35.255.254 | 232.35.255.255 | 131,070 |
| 19 | 232.36.0.0/15 | 232.36.0.1 to 232.37.255.254 | 232.37.255.255 | 131,070 |
| 20 | 232.38.0.0/15 | 232.38.0.1 to 232.39.255.254 | 232.39.255.255 | 131,070 |
| 21 | 232.40.0.0/15 | 232.40.0.1 to 232.41.255.254 | 232.41.255.255 | 131,070 |
| 22 | 232.42.0.0/15 | 232.42.0.1 to 232.43.255.254 | 232.43.255.255 | 131,070 |
| 23 | 232.44.0.0/15 | 232.44.0.1 to 232.45.255.254 | 232.45.255.255 | 131,070 |
| 24 | 232.46.0.0/15 | 232.46.0.1 to 232.47.255.254 | 232.47.255.255 | 131,070 |
| 25 | 232.48.0.0/15 | 232.48.0.1 to 232.49.255.254 | 232.49.255.255 | 131,070 |
| 26 | 232.50.0.0/15 | 232.50.0.1 to 232.51.255.254 | 232.51.255.255 | 131,070 |
| 27 | 232.52.0.0/15 | 232.52.0.1 to 232.53.255.254 | 232.53.255.255 | 131,070 |
| 28 | 232.54.0.0/15 | 232.54.0.1 to 232.55.255.254 | 232.55.255.255 | 131,070 |
| 29 | 232.56.0.0/15 | 232.56.0.1 to 232.57.255.254 | 232.57.255.255 | 131,070 |
| 30 | 232.58.0.0/15 | 232.58.0.1 to 232.59.255.254 | 232.59.255.255 | 131,070 |
| 31 | 232.60.0.0/15 | 232.60.0.1 to 232.61.255.254 | 232.61.255.255 | 131,070 |
| 32 | 232.62.0.0/15 | 232.62.0.1 to 232.63.255.254 | 232.63.255.255 | 131,070 |
| 33 | 232.64.0.0/15 | 232.64.0.1 to 232.65.255.254 | 232.65.255.255 | 131,070 |
| 34 | 232.66.0.0/15 | 232.66.0.1 to 232.67.255.254 | 232.67.255.255 | 131,070 |
| 35 | 232.68.0.0/15 | 232.68.0.1 to 232.69.255.254 | 232.69.255.255 | 131,070 |
| 36 | 232.70.0.0/15 | 232.70.0.1 to 232.71.255.254 | 232.71.255.255 | 131,070 |
| 37 | 232.72.0.0/15 | 232.72.0.1 to 232.73.255.254 | 232.73.255.255 | 131,070 |
| 38 | 232.74.0.0/15 | 232.74.0.1 to 232.75.255.254 | 232.75.255.255 | 131,070 |
| 39 | 232.76.0.0/15 | 232.76.0.1 to 232.77.255.254 | 232.77.255.255 | 131,070 |
| 40 | 232.78.0.0/15 | 232.78.0.1 to 232.79.255.254 | 232.79.255.255 | 131,070 |
| 41 | 232.80.0.0/15 | 232.80.0.1 to 232.81.255.254 | 232.81.255.255 | 131,070 |
| 42 | 232.82.0.0/15 | 232.82.0.1 to 232.83.255.254 | 232.83.255.255 | 131,070 |
| 43 | 232.84.0.0/15 | 232.84.0.1 to 232.85.255.254 | 232.85.255.255 | 131,070 |
| 44 | 232.86.0.0/15 | 232.86.0.1 to 232.87.255.254 | 232.87.255.255 | 131,070 |
| 45 | 232.88.0.0/15 | 232.88.0.1 to 232.89.255.254 | 232.89.255.255 | 131,070 |
| 46 | 232.90.0.0/15 | 232.90.0.1 to 232.91.255.254 | 232.91.255.255 | 131,070 |
| 47 | 232.92.0.0/15 | 232.92.0.1 to 232.93.255.254 | 232.93.255.255 | 131,070 |
| 48 | 232.94.0.0/15 | 232.94.0.1 to 232.95.255.254 | 232.95.255.255 | 131,070 |
| 49 | 232.96.0.0/15 | 232.96.0.1 to 232.97.255.254 | 232.97.255.255 | 131,070 |
| 50 | 232.98.0.0/15 | 232.98.0.1 to 232.99.255.254 | 232.99.255.255 | 131,070 |
| 51 | 232.100.0.0/15 | 232.100.0.1 to 232.101.255.254 | 232.101.255.255 | 131,070 |
| 52 | 232.102.0.0/15 | 232.102.0.1 to 232.103.255.254 | 232.103.255.255 | 131,070 |
| 53 | 232.104.0.0/15 | 232.104.0.1 to 232.105.255.254 | 232.105.255.255 | 131,070 |
| 54 | 232.106.0.0/15 | 232.106.0.1 to 232.107.255.254 | 232.107.255.255 | 131,070 |
| 55 | 232.108.0.0/15 | 232.108.0.1 to 232.109.255.254 | 232.109.255.255 | 131,070 |
| 56 | 232.110.0.0/15 | 232.110.0.1 to 232.111.255.254 | 232.111.255.255 | 131,070 |
| 57 | 232.112.0.0/15 | 232.112.0.1 to 232.113.255.254 | 232.113.255.255 | 131,070 |
| 58 | 232.114.0.0/15 | 232.114.0.1 to 232.115.255.254 | 232.115.255.255 | 131,070 |
| 59 | 232.116.0.0/15 | 232.116.0.1 to 232.117.255.254 | 232.117.255.255 | 131,070 |
| 60 | 232.118.0.0/15 | 232.118.0.1 to 232.119.255.254 | 232.119.255.255 | 131,070 |
| 61 | 232.120.0.0/15 | 232.120.0.1 to 232.121.255.254 | 232.121.255.255 | 131,070 |
| 62 | 232.122.0.0/15 | 232.122.0.1 to 232.123.255.254 | 232.123.255.255 | 131,070 |
| 63 | 232.124.0.0/15 | 232.124.0.1 to 232.125.255.254 | 232.125.255.255 | 131,070 |
| 64 | 232.126.0.0/15 | 232.126.0.1 to 232.127.255.254 | 232.127.255.255 | 131,070 |
| 65 | 232.128.0.0/15 | 232.128.0.1 to 232.129.255.254 | 232.129.255.255 | 131,070 |
| 66 | 232.130.0.0/15 | 232.130.0.1 to 232.131.255.254 | 232.131.255.255 | 131,070 |
| 67 | 232.132.0.0/15 | 232.132.0.1 to 232.133.255.254 | 232.133.255.255 | 131,070 |
| 68 | 232.134.0.0/15 | 232.134.0.1 to 232.135.255.254 | 232.135.255.255 | 131,070 |
| 69 | 232.136.0.0/15 | 232.136.0.1 to 232.137.255.254 | 232.137.255.255 | 131,070 |
| 70 | 232.138.0.0/15 | 232.138.0.1 to 232.139.255.254 | 232.139.255.255 | 131,070 |
| 71 | 232.140.0.0/15 | 232.140.0.1 to 232.141.255.254 | 232.141.255.255 | 131,070 |
| 72 | 232.142.0.0/15 | 232.142.0.1 to 232.143.255.254 | 232.143.255.255 | 131,070 |
| 73 | 232.144.0.0/15 | 232.144.0.1 to 232.145.255.254 | 232.145.255.255 | 131,070 |
| 74 | 232.146.0.0/15 | 232.146.0.1 to 232.147.255.254 | 232.147.255.255 | 131,070 |
| 75 | 232.148.0.0/15 | 232.148.0.1 to 232.149.255.254 | 232.149.255.255 | 131,070 |
| 76 | 232.150.0.0/15 | 232.150.0.1 to 232.151.255.254 | 232.151.255.255 | 131,070 |
| 77 | 232.152.0.0/15 | 232.152.0.1 to 232.153.255.254 | 232.153.255.255 | 131,070 |
| 78 | 232.154.0.0/15 | 232.154.0.1 to 232.155.255.254 | 232.155.255.255 | 131,070 |
| 79 | 232.156.0.0/15 | 232.156.0.1 to 232.157.255.254 | 232.157.255.255 | 131,070 |
| 80 | 232.158.0.0/15 | 232.158.0.1 to 232.159.255.254 | 232.159.255.255 | 131,070 |
| 81 | 232.160.0.0/15 | 232.160.0.1 to 232.161.255.254 | 232.161.255.255 | 131,070 |
| 82 | 232.162.0.0/15 | 232.162.0.1 to 232.163.255.254 | 232.163.255.255 | 131,070 |
| 83 | 232.164.0.0/15 | 232.164.0.1 to 232.165.255.254 | 232.165.255.255 | 131,070 |
| 84 | 232.166.0.0/15 | 232.166.0.1 to 232.167.255.254 | 232.167.255.255 | 131,070 |
| 85 | 232.168.0.0/15 | 232.168.0.1 to 232.169.255.254 | 232.169.255.255 | 131,070 |
| 86 | 232.170.0.0/15 | 232.170.0.1 to 232.171.255.254 | 232.171.255.255 | 131,070 |
| 87 | 232.172.0.0/15 | 232.172.0.1 to 232.173.255.254 | 232.173.255.255 | 131,070 |
| 88 | 232.174.0.0/15 | 232.174.0.1 to 232.175.255.254 | 232.175.255.255 | 131,070 |
| 89 | 232.176.0.0/15 | 232.176.0.1 to 232.177.255.254 | 232.177.255.255 | 131,070 |
| 90 | 232.178.0.0/15 | 232.178.0.1 to 232.179.255.254 | 232.179.255.255 | 131,070 |
| 91 | 232.180.0.0/15 | 232.180.0.1 to 232.181.255.254 | 232.181.255.255 | 131,070 |
| 92 | 232.182.0.0/15 | 232.182.0.1 to 232.183.255.254 | 232.183.255.255 | 131,070 |
| 93 | 232.184.0.0/15 | 232.184.0.1 to 232.185.255.254 | 232.185.255.255 | 131,070 |
| 94 | 232.186.0.0/15 | 232.186.0.1 to 232.187.255.254 | 232.187.255.255 | 131,070 |
| 95 | 232.188.0.0/15 | 232.188.0.1 to 232.189.255.254 | 232.189.255.255 | 131,070 |
| 96 | 232.190.0.0/15 | 232.190.0.1 to 232.191.255.254 | 232.191.255.255 | 131,070 |
| 97 | 232.192.0.0/15 | 232.192.0.1 to 232.193.255.254 | 232.193.255.255 | 131,070 |
| 98 | 232.194.0.0/15 | 232.194.0.1 to 232.195.255.254 | 232.195.255.255 | 131,070 |
| 99 | 232.196.0.0/15 | 232.196.0.1 to 232.197.255.254 | 232.197.255.255 | 131,070 |
| 100 | 232.198.0.0/15 | 232.198.0.1 to 232.199.255.254 | 232.199.255.255 | 131,070 |
| 101 | 232.200.0.0/15 | 232.200.0.1 to 232.201.255.254 | 232.201.255.255 | 131,070 |
| 102 | 232.202.0.0/15 | 232.202.0.1 to 232.203.255.254 | 232.203.255.255 | 131,070 |
| 103 | 232.204.0.0/15 | 232.204.0.1 to 232.205.255.254 | 232.205.255.255 | 131,070 |
| 104 | 232.206.0.0/15 | 232.206.0.1 to 232.207.255.254 | 232.207.255.255 | 131,070 |
| 105 | 232.208.0.0/15 | 232.208.0.1 to 232.209.255.254 | 232.209.255.255 | 131,070 |
| 106 | 232.210.0.0/15 | 232.210.0.1 to 232.211.255.254 | 232.211.255.255 | 131,070 |
| 107 | 232.212.0.0/15 | 232.212.0.1 to 232.213.255.254 | 232.213.255.255 | 131,070 |
| 108 | 232.214.0.0/15 | 232.214.0.1 to 232.215.255.254 | 232.215.255.255 | 131,070 |
| 109 | 232.216.0.0/15 | 232.216.0.1 to 232.217.255.254 | 232.217.255.255 | 131,070 |
| 110 | 232.218.0.0/15 | 232.218.0.1 to 232.219.255.254 | 232.219.255.255 | 131,070 |
| 111 | 232.220.0.0/15 | 232.220.0.1 to 232.221.255.254 | 232.221.255.255 | 131,070 |
| 112 | 232.222.0.0/15 | 232.222.0.1 to 232.223.255.254 | 232.223.255.255 | 131,070 |
| 113 | 232.224.0.0/15 | 232.224.0.1 to 232.225.255.254 | 232.225.255.255 | 131,070 |
| 114 | 232.226.0.0/15 | 232.226.0.1 to 232.227.255.254 | 232.227.255.255 | 131,070 |
| 115 | 232.228.0.0/15 | 232.228.0.1 to 232.229.255.254 | 232.229.255.255 | 131,070 |
| 116 | 232.230.0.0/15 | 232.230.0.1 to 232.231.255.254 | 232.231.255.255 | 131,070 |
| 117 | 232.232.0.0/15 | 232.232.0.1 to 232.233.255.254 | 232.233.255.255 | 131,070 |
| 118 | 232.234.0.0/15 | 232.234.0.1 to 232.235.255.254 | 232.235.255.255 | 131,070 |
| 119 | 232.236.0.0/15 | 232.236.0.1 to 232.237.255.254 | 232.237.255.255 | 131,070 |
| 120 | 232.238.0.0/15 | 232.238.0.1 to 232.239.255.254 | 232.239.255.255 | 131,070 |
| 121 | 232.240.0.0/15 | 232.240.0.1 to 232.241.255.254 | 232.241.255.255 | 131,070 |
| 122 | 232.242.0.0/15 | 232.242.0.1 to 232.243.255.254 | 232.243.255.255 | 131,070 |
| 123 | 232.244.0.0/15 | 232.244.0.1 to 232.245.255.254 | 232.245.255.255 | 131,070 |
| 124 | 232.246.0.0/15 | 232.246.0.1 to 232.247.255.254 | 232.247.255.255 | 131,070 |
| 125 | 232.248.0.0/15 | 232.248.0.1 to 232.249.255.254 | 232.249.255.255 | 131,070 |
| 126 | 232.250.0.0/15 | 232.250.0.1 to 232.251.255.254 | 232.251.255.255 | 131,070 |
| 127 | 232.252.0.0/15 | 232.252.0.1 to 232.253.255.254 | 232.253.255.255 | 131,070 |
| 128 | 232.254.0.0/15 | 232.254.0.1 to 232.255.255.254 | 232.255.255.255 | 131,070 |
| 129 | 233.0.0.0/15 | 233.0.0.1 to 233.1.255.254 | 233.1.255.255 | 131,070 |
| 130 | 233.2.0.0/15 | 233.2.0.1 to 233.3.255.254 | 233.3.255.255 | 131,070 |
| 131 | 233.4.0.0/15 | 233.4.0.1 to 233.5.255.254 | 233.5.255.255 | 131,070 |
| 132 | 233.6.0.0/15 | 233.6.0.1 to 233.7.255.254 | 233.7.255.255 | 131,070 |
| 133 | 233.8.0.0/15 | 233.8.0.1 to 233.9.255.254 | 233.9.255.255 | 131,070 |
| 134 | 233.10.0.0/15 | 233.10.0.1 to 233.11.255.254 | 233.11.255.255 | 131,070 |
| 135 | 233.12.0.0/15 | 233.12.0.1 to 233.13.255.254 | 233.13.255.255 | 131,070 |
| 136 | 233.14.0.0/15 | 233.14.0.1 to 233.15.255.254 | 233.15.255.255 | 131,070 |
| 137 | 233.16.0.0/15 | 233.16.0.1 to 233.17.255.254 | 233.17.255.255 | 131,070 |
| 138 | 233.18.0.0/15 | 233.18.0.1 to 233.19.255.254 | 233.19.255.255 | 131,070 |
| 139 | 233.20.0.0/15 | 233.20.0.1 to 233.21.255.254 | 233.21.255.255 | 131,070 |
| 140 | 233.22.0.0/15 | 233.22.0.1 to 233.23.255.254 | 233.23.255.255 | 131,070 |
| 141 | 233.24.0.0/15 | 233.24.0.1 to 233.25.255.254 | 233.25.255.255 | 131,070 |
| 142 | 233.26.0.0/15 | 233.26.0.1 to 233.27.255.254 | 233.27.255.255 | 131,070 |
| 143 | 233.28.0.0/15 | 233.28.0.1 to 233.29.255.254 | 233.29.255.255 | 131,070 |
| 144 | 233.30.0.0/15 | 233.30.0.1 to 233.31.255.254 | 233.31.255.255 | 131,070 |
| 145 | 233.32.0.0/15 | 233.32.0.1 to 233.33.255.254 | 233.33.255.255 | 131,070 |
| 146 | 233.34.0.0/15 | 233.34.0.1 to 233.35.255.254 | 233.35.255.255 | 131,070 |
| 147 | 233.36.0.0/15 | 233.36.0.1 to 233.37.255.254 | 233.37.255.255 | 131,070 |
| 148 | 233.38.0.0/15 | 233.38.0.1 to 233.39.255.254 | 233.39.255.255 | 131,070 |
| 149 | 233.40.0.0/15 | 233.40.0.1 to 233.41.255.254 | 233.41.255.255 | 131,070 |
| 150 | 233.42.0.0/15 | 233.42.0.1 to 233.43.255.254 | 233.43.255.255 | 131,070 |
| 151 | 233.44.0.0/15 | 233.44.0.1 to 233.45.255.254 | 233.45.255.255 | 131,070 |
| 152 | 233.46.0.0/15 | 233.46.0.1 to 233.47.255.254 | 233.47.255.255 | 131,070 |
| 153 | 233.48.0.0/15 | 233.48.0.1 to 233.49.255.254 | 233.49.255.255 | 131,070 |
| 154 | 233.50.0.0/15 | 233.50.0.1 to 233.51.255.254 | 233.51.255.255 | 131,070 |
| 155 | 233.52.0.0/15 | 233.52.0.1 to 233.53.255.254 | 233.53.255.255 | 131,070 |
| 156 | 233.54.0.0/15 | 233.54.0.1 to 233.55.255.254 | 233.55.255.255 | 131,070 |
| 157 | 233.56.0.0/15 | 233.56.0.1 to 233.57.255.254 | 233.57.255.255 | 131,070 |
| 158 | 233.58.0.0/15 | 233.58.0.1 to 233.59.255.254 | 233.59.255.255 | 131,070 |
| 159 | 233.60.0.0/15 | 233.60.0.1 to 233.61.255.254 | 233.61.255.255 | 131,070 |
| 160 | 233.62.0.0/15 | 233.62.0.1 to 233.63.255.254 | 233.63.255.255 | 131,070 |
| 161 | 233.64.0.0/15 | 233.64.0.1 to 233.65.255.254 | 233.65.255.255 | 131,070 |
| 162 | 233.66.0.0/15 | 233.66.0.1 to 233.67.255.254 | 233.67.255.255 | 131,070 |
| 163 | 233.68.0.0/15 | 233.68.0.1 to 233.69.255.254 | 233.69.255.255 | 131,070 |
| 164 | 233.70.0.0/15 | 233.70.0.1 to 233.71.255.254 | 233.71.255.255 | 131,070 |
| 165 | 233.72.0.0/15 | 233.72.0.1 to 233.73.255.254 | 233.73.255.255 | 131,070 |
| 166 | 233.74.0.0/15 | 233.74.0.1 to 233.75.255.254 | 233.75.255.255 | 131,070 |
| 167 | 233.76.0.0/15 | 233.76.0.1 to 233.77.255.254 | 233.77.255.255 | 131,070 |
| 168 | 233.78.0.0/15 | 233.78.0.1 to 233.79.255.254 | 233.79.255.255 | 131,070 |
| 169 | 233.80.0.0/15 | 233.80.0.1 to 233.81.255.254 | 233.81.255.255 | 131,070 |
| 170 | 233.82.0.0/15 | 233.82.0.1 to 233.83.255.254 | 233.83.255.255 | 131,070 |
| 171 | 233.84.0.0/15 | 233.84.0.1 to 233.85.255.254 | 233.85.255.255 | 131,070 |
| 172 | 233.86.0.0/15 | 233.86.0.1 to 233.87.255.254 | 233.87.255.255 | 131,070 |
| 173 | 233.88.0.0/15 | 233.88.0.1 to 233.89.255.254 | 233.89.255.255 | 131,070 |
| 174 | 233.90.0.0/15 | 233.90.0.1 to 233.91.255.254 | 233.91.255.255 | 131,070 |
| 175 | 233.92.0.0/15 | 233.92.0.1 to 233.93.255.254 | 233.93.255.255 | 131,070 |
| 176 | 233.94.0.0/15 | 233.94.0.1 to 233.95.255.254 | 233.95.255.255 | 131,070 |
| 177 | 233.96.0.0/15 | 233.96.0.1 to 233.97.255.254 | 233.97.255.255 | 131,070 |
| 178 | 233.98.0.0/15 | 233.98.0.1 to 233.99.255.254 | 233.99.255.255 | 131,070 |
| 179 | 233.100.0.0/15 | 233.100.0.1 to 233.101.255.254 | 233.101.255.255 | 131,070 |
| 180 | 233.102.0.0/15 | 233.102.0.1 to 233.103.255.254 | 233.103.255.255 | 131,070 |
| 181 | 233.104.0.0/15 | 233.104.0.1 to 233.105.255.254 | 233.105.255.255 | 131,070 |
| 182 | 233.106.0.0/15 | 233.106.0.1 to 233.107.255.254 | 233.107.255.255 | 131,070 |
| 183 | 233.108.0.0/15 | 233.108.0.1 to 233.109.255.254 | 233.109.255.255 | 131,070 |
| 184 | 233.110.0.0/15 | 233.110.0.1 to 233.111.255.254 | 233.111.255.255 | 131,070 |
| 185 | 233.112.0.0/15 | 233.112.0.1 to 233.113.255.254 | 233.113.255.255 | 131,070 |
| 186 | 233.114.0.0/15 | 233.114.0.1 to 233.115.255.254 | 233.115.255.255 | 131,070 |
| 187 | 233.116.0.0/15 | 233.116.0.1 to 233.117.255.254 | 233.117.255.255 | 131,070 |
| 188 | 233.118.0.0/15 | 233.118.0.1 to 233.119.255.254 | 233.119.255.255 | 131,070 |
| 189 | 233.120.0.0/15 | 233.120.0.1 to 233.121.255.254 | 233.121.255.255 | 131,070 |
| 190 | 233.122.0.0/15 | 233.122.0.1 to 233.123.255.254 | 233.123.255.255 | 131,070 |
| 191 | 233.124.0.0/15 | 233.124.0.1 to 233.125.255.254 | 233.125.255.255 | 131,070 |
| 192 | 233.126.0.0/15 | 233.126.0.1 to 233.127.255.254 | 233.127.255.255 | 131,070 |
| 193 | 233.128.0.0/15 | 233.128.0.1 to 233.129.255.254 | 233.129.255.255 | 131,070 |
| 194 | 233.130.0.0/15 | 233.130.0.1 to 233.131.255.254 | 233.131.255.255 | 131,070 |
| 195 | 233.132.0.0/15 | 233.132.0.1 to 233.133.255.254 | 233.133.255.255 | 131,070 |
| 196 | 233.134.0.0/15 | 233.134.0.1 to 233.135.255.254 | 233.135.255.255 | 131,070 |
| 197 | 233.136.0.0/15 | 233.136.0.1 to 233.137.255.254 | 233.137.255.255 | 131,070 |
| 198 | 233.138.0.0/15 | 233.138.0.1 to 233.139.255.254 | 233.139.255.255 | 131,070 |
| 199 | 233.140.0.0/15 | 233.140.0.1 to 233.141.255.254 | 233.141.255.255 | 131,070 |
| 200 | 233.142.0.0/15 | 233.142.0.1 to 233.143.255.254 | 233.143.255.255 | 131,070 |
| 201 | 233.144.0.0/15 | 233.144.0.1 to 233.145.255.254 | 233.145.255.255 | 131,070 |
| 202 | 233.146.0.0/15 | 233.146.0.1 to 233.147.255.254 | 233.147.255.255 | 131,070 |
| 203 | 233.148.0.0/15 | 233.148.0.1 to 233.149.255.254 | 233.149.255.255 | 131,070 |
| 204 | 233.150.0.0/15 | 233.150.0.1 to 233.151.255.254 | 233.151.255.255 | 131,070 |
| 205 | 233.152.0.0/15 | 233.152.0.1 to 233.153.255.254 | 233.153.255.255 | 131,070 |
| 206 | 233.154.0.0/15 | 233.154.0.1 to 233.155.255.254 | 233.155.255.255 | 131,070 |
| 207 | 233.156.0.0/15 | 233.156.0.1 to 233.157.255.254 | 233.157.255.255 | 131,070 |
| 208 | 233.158.0.0/15 | 233.158.0.1 to 233.159.255.254 | 233.159.255.255 | 131,070 |
| 209 | 233.160.0.0/15 | 233.160.0.1 to 233.161.255.254 | 233.161.255.255 | 131,070 |
| 210 | 233.162.0.0/15 | 233.162.0.1 to 233.163.255.254 | 233.163.255.255 | 131,070 |
| 211 | 233.164.0.0/15 | 233.164.0.1 to 233.165.255.254 | 233.165.255.255 | 131,070 |
| 212 | 233.166.0.0/15 | 233.166.0.1 to 233.167.255.254 | 233.167.255.255 | 131,070 |
| 213 | 233.168.0.0/15 | 233.168.0.1 to 233.169.255.254 | 233.169.255.255 | 131,070 |
| 214 | 233.170.0.0/15 | 233.170.0.1 to 233.171.255.254 | 233.171.255.255 | 131,070 |
| 215 | 233.172.0.0/15 | 233.172.0.1 to 233.173.255.254 | 233.173.255.255 | 131,070 |
| 216 | 233.174.0.0/15 | 233.174.0.1 to 233.175.255.254 | 233.175.255.255 | 131,070 |
| 217 | 233.176.0.0/15 | 233.176.0.1 to 233.177.255.254 | 233.177.255.255 | 131,070 |
| 218 | 233.178.0.0/15 | 233.178.0.1 to 233.179.255.254 | 233.179.255.255 | 131,070 |
| 219 | 233.180.0.0/15 | 233.180.0.1 to 233.181.255.254 | 233.181.255.255 | 131,070 |
| 220 | 233.182.0.0/15 | 233.182.0.1 to 233.183.255.254 | 233.183.255.255 | 131,070 |
| 221 | 233.184.0.0/15 | 233.184.0.1 to 233.185.255.254 | 233.185.255.255 | 131,070 |
| 222 | 233.186.0.0/15 | 233.186.0.1 to 233.187.255.254 | 233.187.255.255 | 131,070 |
| 223 | 233.188.0.0/15 | 233.188.0.1 to 233.189.255.254 | 233.189.255.255 | 131,070 |
| 224 | 233.190.0.0/15 | 233.190.0.1 to 233.191.255.254 | 233.191.255.255 | 131,070 |
| 225 | 233.192.0.0/15 | 233.192.0.1 to 233.193.255.254 | 233.193.255.255 | 131,070 |
| 226 | 233.194.0.0/15 | 233.194.0.1 to 233.195.255.254 | 233.195.255.255 | 131,070 |
| 227 | 233.196.0.0/15 | 233.196.0.1 to 233.197.255.254 | 233.197.255.255 | 131,070 |
| 228 | 233.198.0.0/15 | 233.198.0.1 to 233.199.255.254 | 233.199.255.255 | 131,070 |
| 229 | 233.200.0.0/15 | 233.200.0.1 to 233.201.255.254 | 233.201.255.255 | 131,070 |
| 230 | 233.202.0.0/15 | 233.202.0.1 to 233.203.255.254 | 233.203.255.255 | 131,070 |
| 231 | 233.204.0.0/15 | 233.204.0.1 to 233.205.255.254 | 233.205.255.255 | 131,070 |
| 232 | 233.206.0.0/15 | 233.206.0.1 to 233.207.255.254 | 233.207.255.255 | 131,070 |
| 233 | 233.208.0.0/15 | 233.208.0.1 to 233.209.255.254 | 233.209.255.255 | 131,070 |
| 234 | 233.210.0.0/15 | 233.210.0.1 to 233.211.255.254 | 233.211.255.255 | 131,070 |
| 235 | 233.212.0.0/15 | 233.212.0.1 to 233.213.255.254 | 233.213.255.255 | 131,070 |
| 236 | 233.214.0.0/15 | 233.214.0.1 to 233.215.255.254 | 233.215.255.255 | 131,070 |
| 237 | 233.216.0.0/15 | 233.216.0.1 to 233.217.255.254 | 233.217.255.255 | 131,070 |
| 238 | 233.218.0.0/15 | 233.218.0.1 to 233.219.255.254 | 233.219.255.255 | 131,070 |
| 239 | 233.220.0.0/15 | 233.220.0.1 to 233.221.255.254 | 233.221.255.255 | 131,070 |
| 240 | 233.222.0.0/15 | 233.222.0.1 to 233.223.255.254 | 233.223.255.255 | 131,070 |
| 241 | 233.224.0.0/15 | 233.224.0.1 to 233.225.255.254 | 233.225.255.255 | 131,070 |
| 242 | 233.226.0.0/15 | 233.226.0.1 to 233.227.255.254 | 233.227.255.255 | 131,070 |
| 243 | 233.228.0.0/15 | 233.228.0.1 to 233.229.255.254 | 233.229.255.255 | 131,070 |
| 244 | 233.230.0.0/15 | 233.230.0.1 to 233.231.255.254 | 233.231.255.255 | 131,070 |
| 245 | 233.232.0.0/15 | 233.232.0.1 to 233.233.255.254 | 233.233.255.255 | 131,070 |
| 246 | 233.234.0.0/15 | 233.234.0.1 to 233.235.255.254 | 233.235.255.255 | 131,070 |
| 247 | 233.236.0.0/15 | 233.236.0.1 to 233.237.255.254 | 233.237.255.255 | 131,070 |
| 248 | 233.238.0.0/15 | 233.238.0.1 to 233.239.255.254 | 233.239.255.255 | 131,070 |
| 249 | 233.240.0.0/15 | 233.240.0.1 to 233.241.255.254 | 233.241.255.255 | 131,070 |
| 250 | 233.242.0.0/15 | 233.242.0.1 to 233.243.255.254 | 233.243.255.255 | 131,070 |
| 251 | 233.244.0.0/15 | 233.244.0.1 to 233.245.255.254 | 233.245.255.255 | 131,070 |
| 252 | 233.246.0.0/15 | 233.246.0.1 to 233.247.255.254 | 233.247.255.255 | 131,070 |
| 253 | 233.248.0.0/15 | 233.248.0.1 to 233.249.255.254 | 233.249.255.255 | 131,070 |
| 254 | 233.250.0.0/15 | 233.250.0.1 to 233.251.255.254 | 233.251.255.255 | 131,070 |
| 255 | 233.252.0.0/15 | 233.252.0.1 to 233.253.255.254 | 233.253.255.255 | 131,070 |
| 256 | 233.254.0.0/15 | 233.254.0.1 to 233.255.255.254 | 233.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |